


from Ft.Ods.StorageManager import Adapters
from Ft.Ods.Tools import destroy
from Ft.Ods.Tools import create
from Ft.Ods.Parsers.Odl import Processor

driver = Adapters.GetDriver()

def DbInit(dbName, odl):
    if driver.manager.exists(dbName):
        destroy.Run({},{'dbName':dbName},quite=1)
    create.Run({},{'dbName':dbName},quite=1)
    processor = Processor.Processor(dbName)
    processor.runString(odl)

